tinymce.PluginManager.add('gradio', function(editor, url){
    editor.addButton('gradio', {
        title: 'Embed AI (Gradio)',
        icon: 'mce-ico mce-i-bold',
        onclick: function() {
            editor.windowManager.open( {
                title: 'Embed AI (Gradio)',
                width: 500,
                height: 300,
                body: [
                    {
                        type: 'textbox',
                        name: 'link',
                        label: 'Link',
                    },
                    {
                        type: 'textbox',
                        name: 'version',
                        label: 'Version',
                    },
                ],
                onsubmit: function(e) {
                    let $content = '[gradio version="' + e.data.version + '" link="' + e.data.link +  '"]';
                    editor.insertContent($content);
                }
            } )
        }
    });
});