<?php

/**
* Insert an integration
* @param array $cmplz_integrations_list
*
* @return mixed
*/
function tbit_embed_ai_complianz_integration($cmplz_integrations_list){
  $cmplz_integrations_list['tbit-embed-ai' ] = array(
        'constant_or_function' => 'TBit_GRADIO_VERSION',
        'label'                => 'Embed AI by ThinkingBit',
        'firstparty_marketing' => false,
  );
  return $cmplz_integrations_list;
}

/**
* @param string $path
* @param string $plugin
*
* @return string
*/
function tbit_embed_ai_complianz_integration_path($path, $plugin){
  if ( $plugin === 'tbit-embed-ai' ) {
     return TBit_GRADIO_PATH . 'gdpr/complianz.php';
  }
  return $path;
}

?>
