<?php

/*
 * Plugin Name:       Embed AI by ThinkingBit.io
 * Plugin URI:        https://thinkingbit.io/web/embed-ai-wordpress-plugin/
 * Description:       Embed AI allows you to easily integrate AI directly into your Wordpress website. Currently, Artificial Intelligence (AI) interfaces hosted on Huggingface or served via Gradio are supported.
 * Version:           0.0.1
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            ThinkingBit.io
 * Author URI:        https://thinkingbit.io
 * License:           GPL v3
 * License URI:       https://www.gnu.org/licenses/gpl-3.0.en.html
 * Update URI:        https://thinkingbit.io/web/embed-ai-wordpress-plugin/
 * Text Domain:       embed-ai-wordpress-plugin
 * Domain Path:       /languages
 */

if( !defined( 'WPINC' ) ) {
    die;
}

define( 'TBit_GRADIO_VERSION', '0.0.1' );
define( 'TBit_GRADIO_PATH', plugin_dir_path( __FILE__ ) );
define( 'TBit_GRADIO_URL', plugin_dir_url( __FILE__ ) );

require plugin_dir_path( __FILE__ ) . 'includes/class-tbit-gradio.php';

function run_tbit_gradio() {
    $plugin = new TBit_Gradio();
    $plugin->run();
}

run_tbit_gradio();