<?php

add_filter('mce_external_plugins', 'gradio_mce_plugin');
add_filter('mce_buttons', 'add_mce_buttons');

function gradio_mce_plugin($plugins) {
    $plugins['gradio'] = TBit_GRADIO_URL . 'admin/tinymce.js';
    return $plugins;
}

function add_mce_buttons($buttons) {
    $buttons[] = 'gradio';
    return $buttons;
}

function swp_btn_func( $atts ) {
    $a = shortcode_atts( array(
        'link' => '',
        'name' => 'Try it Out',
        'color' => 'green',
    ), $atts );
    return '<div class="swp-btn">
    <a style="background-color:' . $a['color'] . ';" class="" href="' . $a['link'] . '" target="_blank">' . $a['name'] . '</a>
      </div>';
}

add_shortcode( 'swp-btn', 'swp_btn_func' );