<?php

class TBit_Gradio_Public {
    private $plugin_name;
    private $version;

    public function __construct( $plugin_name, $version ) {
        $this->plugin_name = $plugin_name;
        $this->version = $version;
    }

    public function register_shortcodes() {
        add_shortcode('gradio', [$this, 'gradio_cb'] );
    }

    public function gradio_cb( $attributes, $content ) {
        $version = $attributes['version'];
        $link =  $attributes['link'];

        $str = '<div class="tbit-embed-ai-main"><script type="module" src="https://gradio.s3-us-west-2.amazonaws.com/' . $version . '/gradio.js" id="tbit-embed-ai"></script><gradio-app src="' . $link . '"></gradio-app><div class="tbit-canvas-panel"></div></div>';
		
		if (function_exists("BorlabsCookieHelper")) {
			//$content_blocker_data = BorlabsCookieHelper()->getContentBlockerData($this->plugin_name);
			$str = do_shortcode('[borlabs-cookie id="tbit-embed-ai" type="content-blocker"]' . $str . '[/borlabs-cookie]');
		}

        return $str;
    }
}